com.mapinfo.midev.language.filter

## Class KeyFilter

- java.lang.Object
- - com.mapinfo.midev.language.filter.KeyFilter

All Implemented Interfaces:
  IFilter

    public final class KeyFilter
    extends Object
    implements IFilter

An IFilter that selects IFeatures from a table based on a set of primary keys.

### Constructor Summary

Constructors
Constructor and Description
`KeyFilter(Collection keyList)` Create a filter for the primary key of the features.
`KeyFilter(String[] keyList)` Create a filter for the primary key of the features.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set` `getKeyList()` Returns a Set<of the keys in the filter.
`boolean` `isSpatial()` Returns `true` if this `IFilter` is a spatial filter.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyFilter

    public KeyFilter(Collection keyList)

Create a filter for the primary key of the features.

Parameters:
  `keyList` - Filter features based on whether or not the key is included in this list.

#### KeyFilter

    public KeyFilter(String[] keyList)

Create a filter for the primary key of the features.

Parameters:
  `keyList` - Filter features based on whether or not the key is included in this list.

### Method Detail

#### getKeyList

    public Set getKeyList()

Returns a Set<of the keys in the filter.

Returns:
  A list of the keys in the filter.

#### isSpatial

    public boolean isSpatial()

Description copied from interface: `IFilter`
Returns `true` if this `IFilter` is a spatial filter.

Specified by:
  `isSpatial` in interface `IFilter`
Returns:
  `true` if this `IFilter` is a spatial filter.